const LANG_KEY = 'LANG_KEY';

// 假如 第一语言没有， 就使用这个配置的语言
const fallbackLocale = 'zh_CN';
// 支持的语言列表
const langList = [
    { key: 'zh_CN', name: '简体中文', alias: '简体' },
    { key: 'en_US', name: 'English', alias: 'English' },
];
function setLang(val) {
    window.localStorage.setItem(LANG_KEY, val);
}

function getLang() {
    return window.localStorage.getItem(LANG_KEY) || 'zh_CN';
}

export default {
    get: getLang,
    set: setLang,
    fallbackLocale,
    langList,
};
